REST APIEnterpriseUser

POST

Creates a reusable access token template for the authenticated user.

Body Params

object

Request body for creating an access token template. Defines a reusable configuration including spending limits and optional enterprise scope that can be applied when creating access tokens.
  • name string required
    Display name for the template (must be unique per user)
  • enterpriseId string
    Scope the template to a specific enterprise; user must be a member of the enterprise
  • tokenScopes array of string enums
    openidopenid_enterprisesprofileuser_manageenterprise_view_allenterprise_manage_allauditlogs_view_allwallet_viewwallet_view_enterprisewallet_view_allwallet_createwallet_freezewallet_freeze_allwallet_managewallet_manage_allwallet_approvewallet_approve_allwallet_spendwallet_spend_allwallet_editwallet_edit_allwallet_stakewallet_stake_allwallet_edit_enterprisewallet_spend_enterprisewallet_approve_enterprisewallet_manage_enterprisesettlement_network_readsettlement_network_writeportfolio_viewtrade_viewtrade_tradetrade_fixpending_approval_updatemetamask_institutionalcrypto_comparethird_party_user_lookupprivate_verify_emailscimall
  • allowedIPs array of strings
  • tokenLimits object
    Spending limits to apply when tokens are created from this template
    tokenLimits object
    • allErc20TokensLimit object
      allErc20TokensLimit object
      • enabled boolean
      • txValueLimit string
      • maxLimit boolean
    • spendingLimits array of objects
      spendingLimits object
      • coin string required
      • maxLimit boolean
      • txValueLimit string
  • permittedEnterprises array of strings
  • permittedWallets array of strings

Responses

200
OK

Response Body

object

  • id string required
  • name string required
  • userId string required
  • enterpriseId string
  • tokenScopes array of strings
  • allowedIPs array of strings
  • tokenLimits object
    tokenLimits object
    • spendingLimits array of objects
      spendingLimits object
      • coin string required
      • txValueLimit string
      • maxLimit boolean
    • allErc20TokensLimit object
      allErc20TokensLimit object
      • enabled boolean
      • txValueLimit string
      • maxLimit boolean
  • permittedEnterprises array of strings
  • permittedWallets array of strings
  • createdAt string date-time
  • updatedAt string date-time
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
409
Conflict

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id